"use strict";

var _safeExtend = require("safe-extend");

var _safeExtend2 = _interopRequireDefault(_safeExtend);

var _parseQueryString = require("./util/parseQueryString");

var _parseQueryString2 = _interopRequireDefault(_parseQueryString);

var _queryStringToArray = require("./util/queryStringToArray");

var _queryStringToArray2 = _interopRequireDefault(_queryStringToArray);

var _createArray = require("./util/createArray");

var _createArray2 = _interopRequireDefault(_createArray);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

module.exports = function create(attrs, value, settings) {
    var defaultSettings = {
        separator: '.'
    };
    settings = (0, _safeExtend2.default)(true, {}, defaultSettings, settings);
    var attrArray = (0, _queryStringToArray2.default)(attrs, 'create(attrs, value)', settings.separator);
    var data = [];
    _safeExtend2.default.clone(attrArray).reverse().forEach(function (key, index) {
        var mediaData = (0, _parseQueryString2.default)(key);
        var arrayValue = void 0;
        if (index === 0) {
            arrayValue = value;
        } else {
            arrayValue = data[data.length - 1];
        }
        if (mediaData.arrayIndex) {
            arrayValue = (0, _createArray2.default)(mediaData.arrayIndex, arrayValue);
        }
        data.push(_defineProperty({}, mediaData.attr, arrayValue));
    });
    return data[data.length - 1];
};