"use strict";

module.exports = function queryStringToArray(queryString, name) {
    var queryArray = void 0;
    if (typeof queryString === 'undefined') {
        throw new Error("node_modules/json-modif: `" + name + "` queryString must be string or array");
    }
    switch (queryString.constructor) {
        case String:
            queryArray = queryString.split('\n').map(function (item) {
                return item.trim();
            }).join('').split('.');
            break;
        case Array:
            queryArray = queryString;
            break;
        default:
            throw new Error("node_modules/json-modif: `" + name + "` queryString must be string or array");
    }
    return queryArray;
};