"use strict";

var _safeExtend = require("safe-extend");

var _safeExtend2 = _interopRequireDefault(_safeExtend);

var _create = require("./create");

var _create2 = _interopRequireDefault(_create);

var _query = require("./query");

var _query2 = _interopRequireDefault(_query);

var _transValue = require("./util/transValue");

var _transValue2 = _interopRequireDefault(_transValue);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = function set(attrs, value, data, settings) {
    settings = (0, _safeExtend2.default)(true, { all: true }, settings);
    var cloneData = _safeExtend2.default.clone(data);
    settings.complete = true;

    var queryResult = (0, _query2.default)(attrs, (0, _safeExtend2.default)(true, data, (0, _create2.default)(attrs, '')), settings);

    function setValue(item) {
        cloneData = (0, _safeExtend2.default)(true, cloneData, (0, _create2.default)(item.location, (0, _transValue2.default)(item, value)));
    }
    if (settings.all) {
        queryResult.forEach(function (item) {
            setValue(item);
        });
    } else {
        setValue(queryResult);
    }
    return cloneData;
};